Bug 1205200 (CVE-2015-1827) - CVE-2015-1827 ipa: memory corruption when using get_user_grouplist()
Summary: CVE-2015-1827 ipa: memory corruption when using get_user_grouplist()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1827
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1202997 1202998 1206047
Blocks: 1195735
TreeView+ depends on / blocked
 
Reported: 2015-03-24 12:48 UTC by Francisco Alonso
Modified: 2019-09-29 13:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the IPA extdom Directory Server plug-in did not correctly perform memory reallocation when handling user account information. A request for a list of groups for a user that belongs to a large number of groups would cause a Directory Server to crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:40:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0728 normal SHIPPED_LIVE Moderate: ipa and slapi-nis security and bug fix update 2015-03-26 19:50:25 UTC

Description Francisco Alonso 2015-03-24 12:48:05 UTC
It was discovered that the IPA extdom Directory Server plug-in did not correctly perform memory reallocation when handling user account information. A request for a list of groups for a user that belongs to a large number of groups would cause a Directory Server to crash.

Acknowledgements:

This issue was discovered by Sumit Bose of Red Hat.

Comment 1 Francisco Alonso 2015-03-24 14:21:41 UTC
IPA upstream bug:

https://fedorahosted.org/freeipa/ticket/4908

Comment 3 Tomas Hoger 2015-03-26 08:11:16 UTC
Created freeipa tracking bugs for this issue:

Affects: fedora-all [bug 1206047]

Comment 4 errata-xmlrpc 2015-03-26 15:50:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0728 https://rhn.redhat.com/errata/RHSA-2015-0728.html

Comment 5 Fedora Update System 2015-03-31 21:55:05 UTC
freeipa-4.1.4-1.fc22, slapi-nis-0.54.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-06 08:32:35 UTC
freeipa-4.1.4-1.fc21, slapi-nis-0.54.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.